package com.yaozhitech.spring5.controller;


import java.util.List;

import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.yaozhitech.spring5.model.ResourceDomain;
import com.yaozhitech.spring5.model.RoleDomain;
import com.yaozhitech.spring5.service.UserService;

import lombok.AllArgsConstructor;

/**
 * <p>
 * 用户角色 前端控制器
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
@RestController
@AllArgsConstructor
@RequestMapping("/role")
public class RoleController {

	private final UserService userService;
	
	@GetMapping(value="/user/{uid}")
	public List<RoleDomain> getRolesByUserId(@PathVariable Integer uid) {
		return userService.getRolesByUserId(uid);
	}
	
	/**
	 * 是否有权限
	 * @param url
	 * @param uid
	 * @return
	 */
	@GetMapping(value="/hasPermission")
	public Boolean hasPermission(String url, Integer uid) {
		List<ResourceDomain> resourceDomains = userService.getApiResourcesByUserId(uid);
		if (!CollectionUtils.isEmpty(resourceDomains)) {
			for (ResourceDomain resourceDomain : resourceDomains) {
				if (resourceDomain.getUrl().equalsIgnoreCase(url)) {
					return Boolean.TRUE;
				}
			}
		}
		return Boolean.FALSE;
	}

}
