package com.yaozhitech.spring5.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业微信部门
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_organization")
@ApiModel(value="OrganizationDomain对象", description="企业微信部门")
public class OrganizationDomain implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String organizationUuid;

    @ApiModelProperty(value = "企业微信的主键id")
    private Integer wxId;

    @ApiModelProperty(value = "部门名称")
    private String name;

    @ApiModelProperty(value = "部门英文名称")
    private String nameEn;

    @ApiModelProperty(value = "对应的是wx_id")
    private Integer parentid;

    @ApiModelProperty(value = "排序，越大越前")
    private Long order;

    @ApiModelProperty(value = "创建时间：默认值现在时间")
    private LocalDateTime ctime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime utime;

    private Integer isactive;


}
