package com.yaozhitech.spring5.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 权限
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
@Data
@Accessors(chain = true)
@TableName("sys_resource")
@ApiModel(value="ResourceDomain对象", description="权限")
public class ResourceDomain implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String resourceUuid;

    private Integer type;

    @ApiModelProperty(value = "父类")
    private Integer pid;

    @ApiModelProperty(value = "资源名")
    private String name;

    private String code;

    private String url;

    @ApiModelProperty(value = "排序")
    private Integer rank;

    @ApiModelProperty(value = "图标")
    private String logo;

    private LocalDateTime ctime;

    private LocalDateTime utime;

    private String creator;

    private String updator;

    private Integer isactive;

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ResourceDomain other = (ResourceDomain) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		if (resourceUuid == null) {
			if (other.resourceUuid != null)
				return false;
		} else if (!resourceUuid.equals(other.resourceUuid))
			return false;
		return true;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		result = prime * result + ((resourceUuid == null) ? 0 : resourceUuid.hashCode());
		return result;
	}

}
