package com.yaozhitech.spring5.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户部门关系表
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_user_rel_organization")
@ApiModel(value="UserRelOrganizationDomain对象", description="用户部门关系表")
public class UserRelOrganizationDomain implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String userUuid;

    private String organizationUuid;

    private LocalDateTime ctime;

    private LocalDateTime utime;

    private String creator;

    private String updator;

    private Integer isactive;


}
