package com.yaozhitech.spring5.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yaozhitech.spring5.model.ResourceDomain;
import com.yaozhitech.spring5.model.RoleDomain;
import com.yaozhitech.spring5.model.UserDomain;

/**
 * <p>
 * 系统用户 服务类
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
public interface UserService extends IService<UserDomain> {

	/**
	 * 用户的角色
	 * @param userId
	 * @return
	 */
	List<RoleDomain> getRolesByUserId(Integer userId);
	
	List<ResourceDomain> getResourcesByUserId(Integer userId);
	
	/**
	 * 用户的API级权限
	 * @param userId
	 * @return
	 */
	List<ResourceDomain> getApiResourcesByUserId(Integer userId);
	
	/**
	 * 用户的菜单及权限
	 * @param userId
	 * @return
	 */
	List<ResourceDomain> getMenuResourcesByUserId(Integer userId);
}
