package com.yaozhitech.spring5.service.impl;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yaozhitech.spring5.mapper.RoleMapper;
import com.yaozhitech.spring5.mapper.RoleRelResourceMapper;
import com.yaozhitech.spring5.model.ResourceDomain;
import com.yaozhitech.spring5.model.RoleDomain;
import com.yaozhitech.spring5.model.RoleRelResourceDomain;
import com.yaozhitech.spring5.service.ResourceService;
import com.yaozhitech.spring5.service.RoleService;

/**
 * <p>
 * 用户角色 服务实现类
 * </p>
 *
 * @author zeda
 * @since 2019-12-15
 */
@Service
public class RoleServiceImpl extends ServiceImpl<RoleMapper, RoleDomain> implements RoleService {
	
	@Autowired
	private RoleRelResourceMapper roleRelResourceMapper;
	
	@Autowired
	private ResourceService resourceService;
	
	@Override
	public RoleDomain getByUuid(String uuid) {
		return baseMapper.selectOne(new QueryWrapper<RoleDomain>().eq("role_uuid", uuid));
	}

	@Override
	public List<ResourceDomain> getResourcesByRoleUuid(String roleUuid, Integer resourceType) {
		List<RoleRelResourceDomain> list = roleRelResourceMapper.selectList(
				new QueryWrapper<RoleRelResourceDomain>()
					.eq("role_uuid", roleUuid));
		List<ResourceDomain> resultList = new ArrayList<ResourceDomain>();
		if (!CollectionUtils.isEmpty(list)) {
			resultList = list.stream().map(roleRelResource -> {
				return resourceService.getByUuid(roleRelResource.getResourceUuid());
			}).collect(Collectors.toList());
//			.stream().filter(resource -> resource.getType() == resourceType).collect(Collectors.toList());
		}
		return resultList;
	}

}
