package com.yaozhitech.spring5.jwt;

import org.apache.shiro.authc.HostAuthenticationToken;

import lombok.Data;

@Data
public class JWTToken implements HostAuthenticationToken {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6910437116441110747L;
	
	private String token;
    private String host;
    
    public JWTToken(String token) {
        this(token, null);
    }

    public JWTToken(String token, String host) {
        this.token = token;
        this.host = host;
    }
    
	@Override
	public Object getPrincipal() {
		return token;
	}
	@Override
	public Object getCredentials() {
		return token;
	}
	@Override
	public String getHost() {
		return host;
	}
    
	@Override
    public String toString(){
        return token + ':' + host;
    }
}
