package com.yaozhitech.spring5.config;

import java.time.format.DateTimeFormatter;
import java.util.regex.Pattern;

public final class GlobalConstants {

    public static final String SPRING_PROFILE_DEVELOPMENT = "development";
    public static final String SPRING_PROFILE_TEST = "testing";
    public static final String SPRING_PROFILE_STAGING = "staging";
    public static final String SPRING_PROFILE_PRODUCTION = "production";
    public static final String SPRING_PROFILE_SWAGGER = "swagger";

    public static final String SYS_PREFIX = "astarte";


    public static final String SYSTEM_ACCOUNT = "system";
    public static final String SYSTEM_ACCOUNT_NAME = "系统生成";
    public static final String ANONYMOUS_USER = "anonymoususer";

    public static final DateTimeFormatter DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    public static final DateTimeFormatter IOS_DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyyMMdd");
    public static final DateTimeFormatter STANDARD_DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd");
    public static final DateTimeFormatter SLASH_DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyy/MM/dd");
    public static final DateTimeFormatter YIFUBAO_DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyyMMddHHmmss");
    public static final DateTimeFormatter SIMPLE_DATE_FORMATTER = DateTimeFormatter.ofPattern("MM.dd");

    public static final String DATE_FORMAT_REGEX = "^((\\d{2}(([02468][048])|([13579][26]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])))))|(\\d{2}(([02468][1235679])|([13579][01345789]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|(1[0-9])|(2[0-8]))))))";

    public static final Pattern DATE_FORMAT_PATTERN = Pattern.compile(DATE_FORMAT_REGEX);


    private GlobalConstants() {
    }
}
