package com.yaozhitech.spring5.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import lombok.extern.slf4j.Slf4j;
import reactor.core.publisher.Mono;

@RestController
@Slf4j
public class HystrixfallbackController {

	@GetMapping(value = "/hystrixfallback")
	public Mono<String> hystrixfallback() {
		return Mono.create(monoSink -> monoSink.success("hystrixfallback"));
	}
	
	@GetMapping(value = "/slow")
	public Mono<String> slow() {
		log.info("slow ing");
		try {
			Thread.sleep(4700);
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return Mono.create(monoSink -> monoSink.success("slow"));
	}
	
	@GetMapping(value = "/slow1")
	public Mono<String> slow1() {
		log.info("slow1 ing");
		try {
			Thread.sleep(4700);
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return Mono.create(monoSink -> monoSink.success("slow1"));
	}
}
